import java.sql.Connection;
import java.sql.Driver;
import java.sql.DriverManager;
import java.sql.DriverPropertyInfo;
import java.util.Properties;

public class Main {
  public static void main(String[] args) throws Exception {
    Class.forName("org.gjt.mm.mysql.Driver");

    Properties info = new Properties();
    Driver driver = DriverManager.getDriver("jdbc:mysql://localhost/demo2s");
    System.out.println("driver=" + driver);
    DriverPropertyInfo[] attributes = driver.getPropertyInfo("jdbc:mysql://localhost/demo2s", info);
    System.out.println("attributes=" + attributes);
    // zero length means a connection attempt can be made
    System.out.println("Resolving properties for: " + driver.getClass().getName());

    for (int i = 0; i < attributes.length; i++) {
      // get the property metadata
      String name = attributes[i].name;
      String[] choices = attributes[i].choices;
      boolean required = attributes[i].required;
      String description = attributes[i].description;
      // printout property metadata
      System.out.println(name + " (Required: " + required + ")");
      if (choices == null) {
        System.out.println(" No choices.");
      } else {
        System.out.print(" Choices are: ");
        for (int j = 0; j < choices.length; j++) {
          System.out.print(" " + choices[j]);
        }
      }
      System.out.println(" Description: " + description);
    }

  }

  private static Connection getHSQLConnection() throws Exception {
    Class.forName("org.hsqldb.jdbcDriver");
    System.out.println("Driver Loaded.");
    String url = "jdbc:hsqldb:data/tutorial";
    return DriverManager.getConnection(url, "sa", "");
  }

  public static Connection getMySqlConnection() throws Exception {
    String driver = "org.gjt.mm.mysql.Driver";
    String url = "jdbc:mysql://localhost/demo2s";
    String username = "oost";
    String password = "oost";

    Class.forName(driver);
    Connection conn = DriverManager.getConnection(url, username, password);
    return conn;
  }

  public static Connection getOracleConnection() throws Exception {
    String driver = "oracle.jdbc.driver.OracleDriver";
    String url = "jdbc:oracle:thin:@localhost:1521:caspian";
    String username = "mp";
    String password = "mp2";

    Class.forName(driver); // load Oracle driver
    Connection conn = DriverManager.getConnection(url, username, password);
    return conn;
  }
}














